Need your own package repository for Alpine, Cargo, CocoaPods, Composer, Conan, CRAN, Dart, Debian, Docker, Go, Helm, LuaRocks, Maven, npm, NuGet, Python, RedHat, Ruby, Terraform, Vagrant, Raw & More?

Cloudsmith provides better DevOps with simple and secure delivery of your software, from dev to production.

Start My Free 7-Day Trial
 Open-Source cloudsmith cloudsmith (Cloudsmith) / cli  GitHub Project
Official repository for the Cloudsmith CLI application.
These tend to be pre-releases, for stable releases download from PyPi: https://pypi.python.org/pypi/cloudsmith-cli
Note: Packages in this repository are licensed as Apache License 2.0 (dependencies may be licensed differently).

Python logo cloudsmith-api  0.25.27

One-liner (summary)

Cloudsmith API

Description

The API to the Cloudsmith Service

License

Unknown

Size

126.5 KB

Downloads

183

Tags

bdist/wheel whl noarch py2/py3

Status  Completed
Checksum (MD5) 60c7b66ce3731eb000c3cc896f7581b8
Checksum (SHA-1) a2ba316cbc8427bd482636890ee5a28502844350
Checksum (SHA-256) aeaa6ca7c89cceae59035d87c6df43a89f1c6225852d719b2889acd28bafa780
Checksum (SHA-512) c47c4a50bd5e603eb7179e2969f776ed510ee742e3422ca72a059713225bba00e5…
Storage Region  Dublin, Ireland
Type  Binary (contains binaries and binary artifacts)
Uploaded At 2 years, 3 months ago
Uploaded By csm-api-bot
Unique Id Fu6rYFLRSoEM
Version (Parsed)
  • Major: 0
  • Minor: 25
  • Patch: 27
  • Type: SemVer (Strict)
  extended metadata
Author <support@cloudsmith.io>
Homepage URL https://api.cloudsmith.io/
Keywords Swagger,Cloudsmith API
Metadata Version 2.0
Py Filetype bdist_wheel
Py Version py2.py3
pkg cloudsmith_api-0.25.27-py2.py3-… 183
126.5 KB
md5 sha1 sha256 sha512
Package Contents (cloudsmith_api-0.25.27-py2.py3-none-any.whl)
Loading...

This package has 113 files/directories.

 Newer Python logo
cloudsmith-api
0.48.24
bdist/wheel whl noarch py2/py3
73 lskillen
 Newer Python logo
cloudsmith-api
0.44.4
bdist/wheel whl noarch py2/py3
104 lskillen
 Newer Python logo
cloudsmith-api
0.43.2
bdist/wheel whl noarch py2/py3
115 lskillen
 Newer Python logo
cloudsmith-api
0.42.0
bdist/wheel whl noarch py2/py3
129 csm-api-bot
 Newer Python logo
cloudsmith-api
0.41.0
bdist/wheel whl noarch py2/py3
125 csm-api-bot
 Newer Python logo
cloudsmith-api
0.39.58
bdist/wheel whl noarch py2/py3
240.9 KB 11 months ago
102 csm-api-bot
 Newer Python logo
cloudsmith-api
0.36.31
bdist/wheel whl noarch py2/py3
125 lskillen
 Newer Python logo
cloudsmith-api
0.36.25
bdist/wheel whl noarch py2/py3
115 lskillen
 Newer Python logo
cloudsmith-api
0.35.1
bdist/wheel whl noarch py2/py3
127 lskillen
 Newer Python logo
cloudsmith-api
0.32.11
bdist/wheel whl noarch py2/py3
168 lskillen
 Newer Python logo
cloudsmith-api
0.30.7
bdist/wheel whl noarch py2/py3
169 lskillen
 Newer Python logo
cloudsmith-api
0.30.3
bdist/wheel whl noarch py2/py3
168 lskillen
 Newer Python logo
cloudsmith-api
0.26.6
bdist/wheel whl noarch py2/py3
197 lskillen
 Newer Python logo
cloudsmith-api
0.26.4
bdist/wheel whl noarch py2/py3
196 csm-api-bot
 Same Python logo
cloudsmith-api
0.25.27
bdist/wheel whl noarch py2/py3
183 csm-api-bot
 Older Python logo
cloudsmith-api
0.23.11
bdist/wheel whl noarch py2/py3
194 csm-api-bot
 Older Python logo
cloudsmith-api
0.23.8
bdist/wheel whl noarch py2/py3
198 csm-api-bot
 Older Python logo
cloudsmith-api
0.21.4
bdist/wheel whl noarch py2/py3
206 csm-api-bot
 Older Python logo
cloudsmith-api
0.21.3
bdist/wheel whl noarch py2/py3
207 lskillen
 Older Python logo
cloudsmith-api
0.20.7
bdist/wheel whl noarch py2/py3
212 lskillen
Loading...

You can embed a badge in another website that shows this or the latest version of this package.

To embed the badge for this specific package version, use the following:

[![This Version @ Cloudsmith](https://api-prd.cloudsmith.io/badges/version/cloudsmith/cli/python/cloudsmith-api/0.25.27/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/?render=true&badge_token=gAAAAABfBMa5SrukKNJGxdSvHAozHBYHG9-YzaakCFEIfK_pgKYMXAYnKSrGbpzlU1x3daXwN0uVENHAD2wfAPr_VzxkCNSohsAvDtiBGV00pKuPeoHy38g%3D)](https://cloudsmith.io/~cloudsmith/repos/cli/packages/detail/python/cloudsmith-api/0.25.27/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/)
|This Version @ Cloudsmith|
.. |This Version @ Cloudsmith| image:: https://api-prd.cloudsmith.io/badges/version/cloudsmith/cli/python/cloudsmith-api/0.25.27/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/?render=true&badge_token=gAAAAABfBMa5SrukKNJGxdSvHAozHBYHG9-YzaakCFEIfK_pgKYMXAYnKSrGbpzlU1x3daXwN0uVENHAD2wfAPr_VzxkCNSohsAvDtiBGV00pKuPeoHy38g%3D
   :target: https://cloudsmith.io/~cloudsmith/repos/cli/packages/detail/python/cloudsmith-api/0.25.27/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/
image::https://api-prd.cloudsmith.io/badges/version/cloudsmith/cli/python/cloudsmith-api/0.25.27/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/?render=true&badge_token=gAAAAABfBMa5SrukKNJGxdSvHAozHBYHG9-YzaakCFEIfK_pgKYMXAYnKSrGbpzlU1x3daXwN0uVENHAD2wfAPr_VzxkCNSohsAvDtiBGV00pKuPeoHy38g%3D[link="https://cloudsmith.io/~cloudsmith/repos/cli/packages/detail/python/cloudsmith-api/0.25.27/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/",title="This Version @ Cloudsmith"]
<a href="https://cloudsmith.io/~cloudsmith/repos/cli/packages/detail/python/cloudsmith-api/0.25.27/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/"><img src="https://api-prd.cloudsmith.io/badges/version/cloudsmith/cli/python/cloudsmith-api/0.25.27/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/?render=true&badge_token=gAAAAABfBMa5SrukKNJGxdSvHAozHBYHG9-YzaakCFEIfK_pgKYMXAYnKSrGbpzlU1x3daXwN0uVENHAD2wfAPr_VzxkCNSohsAvDtiBGV00pKuPeoHy38g%3D" alt="This Version @ Cloudsmith" /></a>

rendered as: This Version @ Cloudsmith

To embed the badge for the latest package version, use the following:

[![Latest Version @ Cloudsmith](https://api-prd.cloudsmith.io/badges/version/cloudsmith/cli/python/cloudsmith-api/latest/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/?render=true&badge_token=gAAAAABfBMa58kryBTOIFQRbGjIMf1Tf-zTRrMuLWFWJqKHEFH3sj_arKIJX-Btm1bMDPnCIZkl2Qdb6-USXrsMyNQ1pKH1vwUfrIvfaKykq-0ejfUAQVMA%3D)](https://cloudsmith.io/~cloudsmith/repos/cli/packages/detail/python/cloudsmith-api/latest/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/)
|Latest Version @ Cloudsmith|
.. |Latest Version @ Cloudsmith| image:: https://api-prd.cloudsmith.io/badges/version/cloudsmith/cli/python/cloudsmith-api/latest/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/?render=true&badge_token=gAAAAABfBMa58kryBTOIFQRbGjIMf1Tf-zTRrMuLWFWJqKHEFH3sj_arKIJX-Btm1bMDPnCIZkl2Qdb6-USXrsMyNQ1pKH1vwUfrIvfaKykq-0ejfUAQVMA%3D
   :target: https://cloudsmith.io/~cloudsmith/repos/cli/packages/detail/python/cloudsmith-api/latest/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/
image::https://api-prd.cloudsmith.io/badges/version/cloudsmith/cli/python/cloudsmith-api/latest/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/?render=true&badge_token=gAAAAABfBMa58kryBTOIFQRbGjIMf1Tf-zTRrMuLWFWJqKHEFH3sj_arKIJX-Btm1bMDPnCIZkl2Qdb6-USXrsMyNQ1pKH1vwUfrIvfaKykq-0ejfUAQVMA%3D[link="https://cloudsmith.io/~cloudsmith/repos/cli/packages/detail/python/cloudsmith-api/latest/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/",title="Latest Version @ Cloudsmith"]
<a href="https://cloudsmith.io/~cloudsmith/repos/cli/packages/detail/python/cloudsmith-api/latest/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/"><img src="https://api-prd.cloudsmith.io/badges/version/cloudsmith/cli/python/cloudsmith-api/latest/xf=bdist_wheel;xn=cloudsmith-api;xv=py2.py3/?render=true&badge_token=gAAAAABfBMa58kryBTOIFQRbGjIMf1Tf-zTRrMuLWFWJqKHEFH3sj_arKIJX-Btm1bMDPnCIZkl2Qdb6-USXrsMyNQ1pKH1vwUfrIvfaKykq-0ejfUAQVMA%3D" alt="Latest Version @ Cloudsmith" /></a>

rendered as: Latest Version @ Cloudsmith

These instructions assume you have setup the repository first (or read it).

To install/use cloudsmith-api @ version 0.25.27 ...

pip install 'cloudsmith-api==0.25.27'

You can also install the latest version of this package:

pip install --upgrade 'cloudsmith-api'

If necessary, you can specify the repository directly:

pip install \
  --extra-index-url=https://dl.cloudsmith.io/public/cloudsmith/cli/python/simple/ \
  cloudsmith-api==0.25.27

If you've got a project requirements.txt file, you can specify this as a dependency:

--extra-index-url=https://dl.cloudsmith.io/public/cloudsmith/cli/python/simple/
cloudsmith-api==0.25.27
Warning: We highly recommend using pip (or similar) rather than installing directly.
Top